From 79076c7b7116f91c98f3d15a60778789976c90d9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 02:17:01 +0000
Subject: [PATCH 1499/2232] Resolve modernize-use-equals-default


https://github.com/dtolnay/cxx/issues/500

---

diff --git a/.clang-tidy b/.clang-tidy
index 854e4d5..6e18fc8 100644
--- a/.clang-tidy
+++ b/.clang-tidy
@@ -13,7 +13,6 @@ Checks:
   -cppcoreguidelines-pro-type-reinterpret-cast,
   -cppcoreguidelines-special-member-functions,
   -modernize-use-default-member-init,
-  -modernize-use-equals-default,
   -modernize-use-override,
   -modernize-use-trailing-return-type,
 HeaderFilterRegex: cxx\.h
diff --git a/include/cxx.h b/include/cxx.h
index 8d7e96f..f87d333 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -477,7 +477,7 @@ T *Box<T>::into_raw() noexcept {
 }
 
 template <typename T>
-Box<T>::Box() noexcept {}
+Box<T>::Box() noexcept = default;
 #endif // CXXBRIDGE1_RUST_BOX
 
 #ifndef CXXBRIDGE1_RUST_VEC

